// cc-by 3.0 Austria, (c) 2010 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.geometry.HPos;
import javafx.scene.text.Text;
import javafx.scene.control.Button;
import javafx.scene.control.Hyperlink;
import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;

var stage : Stage;
var scene1 : Scene;
var scene2 : Scene;

scene1 = Scene {
	content: VBox {
	    spacing: 8,
	    nodeHPos: HPos.CENTER
		content : [
			Text {
			    content : "Scene 1";
			},
			Button {
				text : "Goto Scene 2"
				action : function () : Void {stage.scene = scene2;};
			}
		]
	}
};

scene2 = Scene {
    stylesheets: ["{__DIR__}Style.css"],
	fill: LinearGradient {
		stops: [
			Stop { offset: 0.0, color: Color.LIGHTBLUE },
			Stop { offset: 1.0, color: Color.GRAY }
		]
	},
	content: VBox {
	    spacing: 8,
	    nodeHPos: HPos.CENTER,
		content : [
			Text {
			    content : "Scene 2";
			},
			Hyperlink {
				text : "Goto Scene 1"
				action : function () : Void {stage.scene = scene1;};
			}
		]
	}
};

stage = Stage {
    title: "Multiple Scenes"
    width: 200
    height: 200
    scene: scene1;
}
